#include <stdio.h>
#include <math.h>

#include "NombreAleatoireBaseClasse.h"

#define UNREFERENCED_PARAMETER(P) (P)

NombreAleatoireBaseClasse::NombreAleatoireBaseClasse(void) {
}

NombreAleatoireBaseClasse::NombreAleatoireBaseClasse(unsigned long s) {
  UNREFERENCED_PARAMETER(s);
}

void NombreAleatoireBaseClasse::init(unsigned long s) {
  UNREFERENCED_PARAMETER(s);
}

int NombreAleatoireBaseClasse::rand(int limite) {
  UNREFERENCED_PARAMETER(limite);
  return(0);
}

long NombreAleatoireBaseClasse::rand(long limite) {
  UNREFERENCED_PARAMETER(limite);
  return(0);
}

float NombreAleatoireBaseClasse::rand(float limite) {
  UNREFERENCED_PARAMETER(limite);
  return(0.0F);
}

double NombreAleatoireBaseClasse::rand(double limite) {
  UNREFERENCED_PARAMETER(limite);
  return(0.0);
}

float NombreAleatoireBaseClasse::rand(float limite,unsigned long sd) {
  UNREFERENCED_PARAMETER(limite);
  UNREFERENCED_PARAMETER(sd);
  return(0.0F);
}

double NombreAleatoireBaseClasse::rand(double limite,unsigned long sd) {
  UNREFERENCED_PARAMETER(limite);
  UNREFERENCED_PARAMETER(sd);
  return(0.0);
}

double NombreAleatoireBaseClasse::rand(double limite,double sd) {
  UNREFERENCED_PARAMETER(limite);
  UNREFERENCED_PARAMETER(sd);
  return(0.0);
}

double NombreAleatoireBaseClasse::rand_0_1(void) {
  return(0.0);
}

NombreAleatoireBaseClasse::~NombreAleatoireBaseClasse(void) {
}

